Bug 856650 - Introduce new systemd-rpm macros in aeolus-configserver spec file
Introduce new systemd-rpm macros in aeolus-configserver spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: aeolus-configserver (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joe Vlcek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-09-12 10:12 EDT by Václav Pavlín
Modified: 2012-09-27 01:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-27 01:13:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Václav Pavlín 2012-09-12 10:12:57 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Greg Blomquist 2012-09-13 12:16:19 EDT
Updated spec file to use new systemd unit macros for f18 and beyond.

git hash: 3d205fa5f0c6a250266fa446d38efbdcb2add0ba (master)
Comment 2 Fedora Update System 2012-09-18 12:03:16 EDT
aeolus-configserver-0.5.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/aeolus-configserver-0.5.1-1.fc18
Comment 3 Fedora Update System 2012-09-20 01:56:40 EDT
Package aeolus-configserver-0.5.1-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing aeolus-configserver-0.5.1-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14375/aeolus-configserver-0.5.1-1.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-09-27 01:13:50 EDT
aeolus-configserver-0.5.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.